package com.xx.hbhconsumer.adapter;

import android.content.Context;
import android.view.View;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.DictValueBean;
import com.xx.hbhconsumer.data.http.respons.YearBean;
import com.xx.hbhconsumer.databinding.ItemMapBinding;
import com.xx.hbhconsumer.databinding.ItemYearBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class MapAdapter extends xxBaseRecyclerViewAdapter<ItemMapBinding, DictValueBean> {

    public MapAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_map;
    }

    @Override
    protected void covert(ItemMapBinding dataBind, DictValueBean data, int position) {
        dataBind.tvYear.setText(data.getDictLabel());
        if (data.getChecked()) {
            dataBind.ivCheckedIcon.setVisibility(View.VISIBLE);
            dataBind.tvYear.setTextColor(mContext.getColor(R.color.text_foreground));
        } else {
            dataBind.ivCheckedIcon.setVisibility(View.GONE);
            dataBind.tvYear.setTextColor(mContext.getColor(R.color.price_black));
        }
    }
}
