package com.xx.hbhconsumer.adapter;

import android.content.Context;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.RecruitBean;
import com.xx.hbhconsumer.databinding.ItemRecruitBinding;
import com.xx.hbhconsumer.databinding.ItemRecruitShopBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class RecruitShopAdapter extends xxBaseRecyclerViewAdapter<ItemRecruitShopBinding, RecruitBean> {
    public RecruitShopAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_recruit_shop;
    }

    @Override
    protected void covert(ItemRecruitShopBinding dataBind, RecruitBean data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setRecruitBean(data);
        dataBind.tvRecruitTitle.setText(data.getPostName());
        dataBind.tvAddress.setText(data.getWorkPlace());
        dataBind.tvShopName.setText(data.getRecruitmentEnterprise());
        dataBind.tvSalary.setText(data.getPostWage());
    }
}
