package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.ActivityCenterBean;
import com.xx.hbhconsumer.data.http.respons.ActivityCouponBean;
import com.xx.hbhconsumer.data.local.LocalData;

import java.util.List;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class ActivityRequest extends BaseRespons {


    /**
     * 低价好物商品列表
     */
    public Observable<BasePageResponse<ActivityCouponBean>> getCouponAppList(int pageNum) {
        return getApiService().getCouponAppList(pageNum);
    }
    /**
     * 低价好物商品列表
     */
    public Observable<BaseResponse<Integer>> getCoupon(String couponId) {
        return getApiService().getCoupon(couponId);
    }

    /**
     * 活动列表
     */
    public Observable<BasePageResponse<ActivityCenterBean>> getActivityList(int pageNum) {

        ApiParams<GetActivityListRequestBody> apiParams = new ApiParams<>();
        GetActivityListRequestBody requestBody = new GetActivityListRequestBody(LocalData.getAffiliatedCompany(), "1");
        RequestBody body=apiParams.setParams(requestBody);
        return getApiService().getActivityList(body, pageNum);
    }

    public class GetActivityListRequestBody {
        public String activityShop;
        public String isPublish;


        public GetActivityListRequestBody(String activityShop, String isPublish) {
            this.activityShop = activityShop;
            this.isPublish = isPublish;
        }
    }
}
