package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.CategoryBean;
import com.xx.hbhconsumer.data.http.respons.CollectionBean;

import java.util.List;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class CategoryRequest  extends BaseRespons {

    /**
     * 低价好物商品列表
     */
    public Observable<BaseResponse<List<CategoryBean>>> getCategoryTree(String affiliatedCompany) {
        ApiParams<GetCategoryTreeRequestBody> apiParams = new ApiParams<>();
        GetCategoryTreeRequestBody categoryTreeRequestBody = new GetCategoryTreeRequestBody(affiliatedCompany);
        RequestBody body = apiParams.setParams(categoryTreeRequestBody);
        return getApiService().getCategoryTree(body);
    }

    public class GetCategoryTreeRequestBody {
        public String affiliatedCompany;


        public GetCategoryTreeRequestBody(String affiliatedCompany) {
            this.affiliatedCompany = affiliatedCompany;
        }
    }
}
