package com.xx.hbhconsumer.data.http.requst;

import com.xx.hbhconsumer.data.http.BaseRespons;
import com.xx.hbhconsumer.data.http.respons.MessageBean;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import me.goldze.mvvmhabit.http.BaseResponse;
import okhttp3.RequestBody;

public class MessageRequest extends BaseRespons {

    /**
     * 获取广告列表
     * @return
     */
    public Observable<BasePageResponse<MessageBean>> getMessageList(Integer flag, Integer page) {
        return getApiService().getMessageList(flag, page);
    }

    /**
     * 获取广告列表
     * @return
     */
    public Observable<BaseResponse<Integer>> messageUnread(String businessId) {
        ApiParams<MessageUnreadRequestBody> apiParams = new ApiParams<>();
        MessageUnreadRequestBody requestBody = new MessageUnreadRequestBody(businessId, "1");
        RequestBody body = apiParams.setParams(requestBody);
        return getApiService().messageUnread(body);
    }

    public class MessageUnreadRequestBody {
        public String businessId;
        public String flag;


        public MessageUnreadRequestBody(String businessId, String flag) {
            this.businessId = businessId;
            this.flag = flag;
        }
    }
}
