package com.xx.hbhconsumer.data.http.requst

import android.util.Log
import com.xx.hbhconsumer.data.http.BaseRespons
import com.xx.hbhconsumer.data.http.requst.body.ParkMsgbody
import com.xx.hbhconsumer.data.http.respons.ParkBean
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class ParkRequest: BaseRespons() {
    /**
     * 车辆信息列表
     */
    fun getParkList(): Observable<BaseResponse<List<ParkBean>>> {
        return apiService.getParkList()
    }
    /**
     * 提交停车信息
     */
    fun postParkMsg(plateNumber:String,type:String): Observable<BaseResponse<Boolean>>
    {
        return apiService.postParkMsg(ApiParams<ParkMsgbody>().setParams(ParkMsgbody(plateNumber,type.toInt())))
    }
    /**
     * 删除停车信息
     */
    fun deletePark(businessId: String): Observable<BaseResponse<Boolean>> {
        return apiService.deletePark(businessId);
    }

}