package com.xx.hbhconsumer.data.http.respons

data class OrderBean(
    val actualPayment: Double,
    val businessId: String,
    val commodityList: List<Commodity>,
    val couponId: String,
    val couponList: List<CouponBean>,
    val createBy: String,
    val createTime: String,
    val delFlag: Any,
    val inPay: String,
    val member: Member,
    val memberAccount: String,
    val memberId: String,
    val merchant: Merchant,
    val merchantId: String,
    val orderAmount: Double,
    val orderNumber: String,
    val orderStatus: String,
    val payModeMessage: Any,
    val payType: Any,
    val payeeUserId: Any,
    val procedureRate: Any,
    val quantity: Int,
    val rate: Any,
    val remark: String,
    val updateBy: String,
    val updateTime: String
)

data class Commodity(
    val businessId: String,
    val commodityCategory: String,
    val commodityCategoryId: String,
    val commodityName: String,
    val commodityNumber: String,
    val commodityPictureList: List<CommodityPicture>,
    val commodityPrice: Double,
    val commodityQuantity: Int,
    val price: String
)

data class Member(
    val businessId: Any,
    val gradeName: String,
    val memberNickname: String,
    val memberNumber: String,
    val memberPhone: String,
    val memberPictureFile: Any
)

data class Merchant(
    val affiliatedCompany: String,
    val boothNumber: String,
    val companyLogoFile: CompanyLogoFile,
    val companyName: String,
    val logoFile: LogoFile,
    val storeName: String
)

data class CommodityPicture(
    val businessId: Any,
    val createBy: Any,
    val createTime: Any,
    val delFlag: Any,
    val filePath: String,
    val newFileName: String,
    val originalFileName: String,
    val remark: Any,
    val updateBy: Any,
    val updateTime: Any,
    val url: String
)

data class CompanyLogoFile(
    val businessId: Any,
    val createBy: Any,
    val createTime: Any,
    val delFlag: Any,
    val filePath: String,
    val newFileName: String,
    val originalFileName: String,
    val remark: Any,
    val updateBy: Any,
    val updateTime: Any,
    val url: String
)