package com.xx.hbhconsumer.data.staticdata

object StaticData {
    /**
     * 当前版本号*/
    @JvmField
    var appVersionNumber = ""

    @JvmField
    var sUserType = "02"

    /**
     * 登录-强制更新状态位  0-不能登录 1-可登录
     */
    @JvmField
    var updateLogin: Int = 1

    /**
     * 订单详情-状态位  订单状态 1-待付款 2-已完成 3-已关闭
     */
    @JvmField
    var statusData: Int = 0

    /**
     * 反馈详情-状态位  是否有图片状态 0-有 1-没有
     */
    @JvmField
    var imageFilesData: Int = 0

    /**
     * 店员列表-状态位  是否有数据 0-有 1-没有
     */
    @JvmField
    var AssistantData: Int = 0

    /**
     * 消息列表-状态位  是否有数据 0-有 1-没有
     */
    @JvmField
    var messageData: Int = 0

    /**
     * 积分列表-状态位  是否有数据 0-有 1-没有
     */
    @JvmField
    var PointData: Int = 0

    /**
     * 订单详情-状态位  订单状态 1-待付款 2-已完成 3-已关闭
     */
    lateinit var filePath: String

    /**
     * 活动中心-状态位  flag 0-未读 1-已读
     */
    @JvmField
    var flag: Int = 0

    /**
     * 登录人角色  personType 0-店长  1-店员
     */
    @JvmField
    var personType: Int = 1

    /**
    5 用户协议
    4 积分说明
    3 隐私条款
    2 服务条款
    1 会员体系
     */
    @JvmField
    var Protocols: List<String> = ArrayList();

    /**
     * 支付方式
     */
    @JvmField
    var PayWay: Map<String, String> =
        mapOf("ALIPAY" to "支付宝", "WECHAT" to "微信", "UNION_PAY" to "银联云闪付")

}