package com.xx.hbhconsumer.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.data.http.respons.BoothBean
import com.xx.hbhconsumer.databinding.DialogBoothListBinding
import com.xx.hbhconsumer.dialog.adapter.BoothListAdapter
import com.xx.hbhconsumer.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class BoothListDialog(context:Context,val list:List<TextListProvider>): xxBaseDialog<DialogBoothListBinding>(context){
    lateinit var adpter:BoothListAdapter;
    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_booth_list,true,Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,AutoSizeUtils.dp2px(context,
            321.0F
        ));
    }

    override fun InitData() {
        binding.dialog=this;
        adpter= BoothListAdapter(context);
        adpter.mList=list
        binding.rvDblList.adapter=adpter;

    }


    fun boothClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, adpter.getBuuthBusinessId())
        }
        dismiss()
    }


}