package com.xx.hbhconsumer.ui.credit;

import android.os.Bundle;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.requst.AgreementRequest;
import com.xx.hbhconsumer.databinding.ActivityCreditDescriptionBinding;
import com.xx.hbhconsumer.utils.RetrofitClient;

import me.goldze.mvvmhabit.base.BaseActivity;
import me.tatarka.bindingcollectionadapter2.BR;

public class CreditDescriptionActivity extends BaseActivity<ActivityCreditDescriptionBinding, CreditDescriptionViewModel> {

    @Override
    public void initData() {
        super.initData();

        viewModel.url.observe(this, agreementBean -> {
            if (agreementBean != null) {
                binding.webview.loadUrl(RetrofitClient.baseH5Url + agreementBean);
            }
        });
    }

    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_credit_description;
    }

    @Override
    public int initVariableId() {
        return BR.creditDescriptionViewModel;
    }

    @Override
    public CreditDescriptionViewModel initViewModel() {
        AgreementRequest loginRequest = new AgreementRequest();
        return new CreditDescriptionViewModel(getApplication(), loginRequest);
    }
}
