package com.xx.hbhconsumer.ui.home

import android.content.Context
import android.content.Intent
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogSignBinding
import com.xx.hbhconsumer.ui.credit.CreditDetailActivity
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class SignDialog(context:Context, var data: Int): xxBaseDialog<DialogSignBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_sign,true,
            Gravity.CENTER,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            216.0F));
    }

    override fun InitData() {
        binding.signDialog = this

        binding.btnConfirm.setOnClickListener {
            dismiss()
        }

        binding.tvCreditDetail.setOnClickListener {
            DialogClickListener.dialogClickBack(0, null);
        }
    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}