package com.xx.hbhconsumer.ui.logoff;

import android.content.Intent;
import android.os.Bundle;

import com.xx.hbhconsumer.BR;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.requst.LogoffRequest;
import com.xx.hbhconsumer.databinding.ActivityLogoffSecondStepBinding;
import com.xx.hbhconsumer.ui.login.LoginActivity;

import me.goldze.mvvmhabit.base.BaseActivity;
public class LogoffSecondStepActivity extends BaseActivity<ActivityLogoffSecondStepBinding, LogoffSecondStepViewModel> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_logoff_second_step;
    }

    @Override
    public int initVariableId() {
        return BR.logoffSecondStepViewModel;
    }
    //    重写初始方法调用参数
    @Override
    public void initData() {
        super.initData();
        viewModel.logoutFlag.observe(this, logoffType -> {
            if (logoffType) {
                finish();
                startActivity(LoginActivity.class);
                Intent intent = new Intent("CLOSE_ALL");
                this.sendBroadcast(intent);
            }
        });

    }

    //    重写初始方法调用参数
    @Override
    public void initViewObservable() {
        super.initViewObservable();
    }

    @Override
    public LogoffSecondStepViewModel initViewModel() {
        LogoffRequest lm = new LogoffRequest();
        String accountClosureMark = getIntent().getStringExtra("accountClosureMark");
        String accountClosureReason = getIntent().getStringExtra("accountClosureReason");
        return new LogoffSecondStepViewModel(getApplication(), lm, accountClosureReason, accountClosureMark);
    }
}
