package com.xx.hbhconsumer.ui.main

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogExitBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class ExitDialog(context:Context, var viewModel: MainViewModel): xxBaseDialog<DialogExitBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_exit,true,
            Gravity.CENTER,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            216.0F));
    }

    override fun InitData() {
        binding.exitDialog = this

        binding.tvCancel.setOnClickListener {
            dismiss()
        }

        binding.tvConfirm.setOnClickListener {
            dismiss()
            viewModel.exit()
        }
    }

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}