package com.xx.hbhconsumer.ui.messagecenter;

import android.os.Bundle;

import com.google.gson.Gson;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.requst.MessageRequest;
import com.xx.hbhconsumer.data.http.respons.MessageBean;
import com.xx.hbhconsumer.databinding.ActivityMessageDetailBinding;

import me.goldze.mvvmhabit.base.BaseActivity;
import me.tatarka.bindingcollectionadapter2.BR;

public class MessageDetailActivity extends BaseActivity<ActivityMessageDetailBinding, MessageDetailViewModel> {

    @Override
    public void initData() {
        super.initData();
        String messageData = getIntent().getStringExtra("messageData");

        MessageBean data = new Gson().fromJson(messageData, MessageBean.class);
        binding.tvMessageTitle.setText(data.getMessageType());
        binding.tvContent.setText(data.getMessageContent());
        binding.tvTime.setText(data.getCreateTime());
        binding.tvSource.setText(data.getCreateBy());
    }

    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_message_detail;
    }

    @Override
    public int initVariableId() {
        return BR.messageDetailViewModel;
    }

    @Override
    public MessageDetailViewModel initViewModel() {
        MessageRequest model = new MessageRequest();
        return new MessageDetailViewModel(getApplication(), model);
    }
}
