package com.xx.hbhconsumer.ui.mycoupon

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import cn.bingoogolapple.qrcode.zxing.QRCodeEncoder
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogOrderPayBinding
import com.xx.hbhconsumer.databinding.DialogReceiveGiftBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class ReceiveGiftDialog(context:Context, var couponId: String, var giftName: String): xxBaseDialog<DialogReceiveGiftBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_receive_gift,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            333.0F));
    }

    override fun InitData() {
        binding.receiveGiftDialog = this

        binding.tvCancel.setOnClickListener {
            dismiss()
        }
        var qrCode = QRCodeEncoder.syncEncodeQRCode("giftId=" + couponId, 144)
        binding.ivOrderQrCode.setImageBitmap(qrCode)
        binding.tvGiftName.setText(giftName)

    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}