package com.xx.hbhconsumer.ui.order;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import java.util.List;

public class FragmentAdapter extends FragmentPagerAdapter {

    private List<Fragment> fragmentList;

    private List<String> tabList;

    public FragmentAdapter(FragmentManager fm, List<Fragment> fragmentList, List<String> tabList) {
        super(fm);
        this.fragmentList = fragmentList;
        this.tabList = tabList;
    }

    @Override

    public Fragment getItem(int position) {
        return fragmentList.get(position);
    }

    @Override

    public int getCount() {
        return fragmentList.size();
    }

    @Override

    public CharSequence getPageTitle(int position) {
        return tabList.get(position);
    }

}
