package com.xx.hbhconsumer.ui.order

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogNoCouponBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class NoCouponDialog(context:Context, var viewModel: OrderDetailViewModel): xxBaseDialog<DialogNoCouponBinding>(context) {

    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_no_coupon,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            262.0F));
    }
    override fun InitData() {
        binding.noCouponDialog = this
        binding.tvGoActivity.setOnClickListener {
            viewModel.claimedCoupon
        }
        binding.tvGoActivity.setOnClickListener{
            viewModel.goActivityCenter()
        }
    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }

}