package com.xx.hbhconsumer.ui.pwd;

import android.os.Bundle;

import com.xx.hbhconsumer.BR;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.requst.PwdRequest;
import com.xx.hbhconsumer.databinding.ActivityChangePwdBinding;

import me.goldze.mvvmhabit.base.BaseActivity;

public class PwdActivity extends BaseActivity<ActivityChangePwdBinding, PwdViewModel> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_change_pwd;
    }

    @Override
    public int initVariableId() {
        return BR.pwdViewModel;
    }
    //    重写初始方法调用参数
    @Override
    public void initData() {
        super.initData();

    }
    //    重写初始方法调用参数
    @Override
    public void initViewObservable() {
        super.initViewObservable();
    }

    @Override
    public PwdViewModel initViewModel() {
        PwdRequest lm = new PwdRequest();
        Boolean needChangeTimeLongPassword = getIntent().getBooleanExtra("needChangeTimeLongPassword", false);
        return new PwdViewModel(getApplication(), lm, needChangeTimeLongPassword);
    }

}
