package com.xx.hbhconsumer.utils;

public class VersionUpdateUtil {
    /**
     * 比较 本地版本与互联网上最新版本
     *
     * @param bd  本地版本
     * @param flw 互联网版本
     * @return 小于0：需要更新  等于0：无需更新   大于0：无需更新
     */
    public static int compareVersion(String bd, String flw) {
        String[] bdbb = bd.split("\\.", -1);
        String[] flwbb = flw.split("\\.", -1);
        int num = Math.min(bdbb.length, flwbb.length);//取出较小的一位数
        for (int i = 0; i < num; i++) {
            int a1 = "".equals(bdbb[i]) ? 0 : Integer.parseInt(bdbb[i]);
            int a2 = "".equals(flwbb[i]) ? 0 : Integer.parseInt(flwbb[i]);
            if (a1 != a2) {
                return a1 - a2;
            }
        }
        return bdbb.length - flwbb.length;
    }
}
