package com.xx.hbhconsumer.adapter;



import static com.xx.hbhconsumer.utils.RetrofitClient.baseImgUrl;

import android.content.Context;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.RequestOptions;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.ActivityCenterBean;
import com.xx.hbhconsumer.databinding.ItemActivityCenterBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

import me.jessyan.autosize.utils.AutoSizeUtils;

public class ActivityCenterListAdapter extends xxBaseRecyclerViewAdapter<ItemActivityCenterBinding, ActivityCenterBean> {

    public ActivityCenterListAdapter(Context mContext) {
        super(mContext);
    }

    @Override
    public int initLayout() {
        return R.layout.item_activity_center;
    }
    @Override
    protected void covert(ItemActivityCenterBinding dataBind, ActivityCenterBean data, int position) {
        RequestOptions options = new RequestOptions()
                .bitmapTransform(new RoundedCorners(AutoSizeUtils.dp2px(mContext, 12)));
        Glide.with(mContext).asBitmap()
                .apply(options).load(baseImgUrl+data.getActivityCover()).into(dataBind.ivIdbSelect);
    }

}
