package com.xx.hbhconsumer.adapter;

import android.content.Context;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.CreditRecordBean;
import com.xx.hbhconsumer.data.http.respons.OrderBean;
import com.xx.hbhconsumer.databinding.ItemCouponBinding;
import com.xx.hbhconsumer.databinding.ItemCreditBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class CreditAdapter extends xxBaseRecyclerViewAdapter<ItemCreditBinding, CreditRecordBean> {
    public CreditAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_credit;
    }

    @Override
    protected void covert(ItemCreditBinding dataBind, CreditRecordBean data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setCreditRecordBean(data);
        dataBind.tvDate.setText(data.getVariableTime());
        if (data.getIntegralVariation() > 0) {
            dataBind.tvCreditNum.setText("+" + data.getIntegralVariation());
        } else {
            dataBind.tvCreditNum.setText(String.valueOf(data.getIntegralVariation()));
        }


        if ("1".equals(data.getIntegralType())) {
            dataBind.tvCreditDesc.setText("会员注册");
        } else if ("2".equals(data.getIntegralType())) {
            dataBind.tvCreditDesc.setText("会员消费");
        } else if ("3".equals(data.getIntegralType())) {
            dataBind.tvCreditDesc.setText("积分兑换");
        } else if ("4".equals(data.getIntegralType())) {
            dataBind.tvCreditDesc.setText("会员签到");
        } else if ("5".equals(data.getIntegralType())) {
            dataBind.tvCreditDesc.setText("会员转发活动");
        }
    }
}
