package com.xx.hbhconsumer.adapter;

import android.content.Context;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.MessageBean;
import com.xx.hbhconsumer.databinding.ItemMessageBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;


public class MessageAdapter extends xxBaseRecyclerViewAdapter<ItemMessageBinding, MessageBean> {

    public MessageAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_message;
    }

    @Override
    protected void covert(ItemMessageBinding dataBind, MessageBean data, int position) {
        if ("1".equals(data.getFlag())) {
            dataBind.ivMessageIcon.setImageDrawable(mContext.getDrawable(R.mipmap.wode_icon_yiduxiaoxi));
        } else {
            dataBind.ivMessageIcon.setImageDrawable(mContext.getDrawable(R.mipmap.wode_icon_weiduxiaoxi));
        }
        dataBind.tvMessageTitle.setText(data.getMessageType());
        dataBind.tvMessage.setText(data.getMessageContent());
        dataBind.tvMessageCreateTime.setText(data.getCreateTime());
    }
}
