package com.xx.hbhconsumer.adapter;

import android.content.Context;

import com.bumptech.glide.Glide;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.AppInformationBean;
import com.xx.hbhconsumer.data.http.respons.Children;
import com.xx.hbhconsumer.data.http.respons.OrderBean;
import com.xx.hbhconsumer.databinding.ItemCouponBinding;
import com.xx.hbhconsumer.databinding.ItemNewsBinding;
import com.xx.hbhconsumer.utils.RetrofitClient;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class NewsAdapter extends xxBaseRecyclerViewAdapter<ItemNewsBinding, Children> {
    public NewsAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_news;
    }

    @Override
    protected void covert(ItemNewsBinding dataBind, Children data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setAppInformationBean(data);
        Glide.with(mContext)
                .load(RetrofitClient.baseImgUrl + data.getCoverSmallImage())
                .into(dataBind.ivNewsImg);

        dataBind.tvNewsTitle.setText(data.getInformationTitle());
        dataBind.tvNewsViewsCount.setText(data.getClickNumber());
        dataBind.tvTime.setText(data.getPublishTime());
    }
}
