package com.xx.hbhconsumer.adapter;

import android.content.Context;
import android.view.View;

import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.respons.YearBean;
import com.xx.hbhconsumer.databinding.ItemYearBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class YearAdapter extends xxBaseRecyclerViewAdapter<ItemYearBinding, YearBean> {

    public YearAdapter(Context context) {
        super(context);
        mContext = context;
    }

    @Override
    public int initLayout() {
        return R.layout.item_year;
    }

    @Override
    protected void covert(ItemYearBinding dataBind, YearBean data, int position) {
        dataBind.tvYear.setText(data.getYear() + "年");
        if (data.getChecked()) {
            dataBind.ivCheckedIcon.setVisibility(View.VISIBLE);
            dataBind.tvYear.setTextColor(mContext.getColor(R.color.text_foreground));
        } else {
            dataBind.ivCheckedIcon.setVisibility(View.GONE);
            dataBind.tvYear.setTextColor(mContext.getColor(R.color.price_black));
        }
    }
}
