package com.xx.hbhconsumer.ui.credit

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogCreditExchangeBinding
import com.xx.hbhconsumer.databinding.DialogCreditExchangeSuccessBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class CreditExchangeSuccessDialog(context:Context, var data: Int): xxBaseDialog<DialogCreditExchangeSuccessBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_credit_exchange_success,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            269.0F));
    }

    override fun InitData() {
        binding.creditExchangeSuccessDialog = this

        binding.btnBack.setOnClickListener {
            dismiss()
        }
        binding.tvCreditNum.setText(data.toString())

//        binding.btnConfirm.setOnClickListener {
//            DialogClickListener.dialogClickBack(0, null);
//        }
    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}