package com.xx.hbhconsumer.ui.creditorder

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import cn.bingoogolapple.qrcode.zxing.QRCodeEncoder
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogCollectGoodsBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class CollectGoodsDialog(context:Context, var pointOrderId: String, var name: String): xxBaseDialog<DialogCollectGoodsBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_collect_goods,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            333.0F));
    }

    override fun InitData() {
        binding.collectGoodsDialog = this

        binding.tvCancel.setOnClickListener {
            dismiss()
        }
        var qrCode = QRCodeEncoder.syncEncodeQRCode("pointOrderId=" + pointOrderId, 144)
        binding.ivOrderQrCode.setImageBitmap(qrCode)
        binding.tvGoodsName.setText(name)
    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}