package com.xx.hbhconsumer.ui.mine

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogChangeAvatarBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class ChangeAvatarDialog(context:Context, var mineViewModel: MineViewModel): xxBaseDialog<DialogChangeAvatarBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_change_avatar,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            260.0F));
    }

    override fun InitData() {
        binding.changeAvatarDialog = this

        binding.tvCancel.setOnClickListener {
            dismiss()
        }
        binding.tvPhoto.setOnClickListener {
            mineViewModel.takePhoto()
        }
        binding.tvAlbum.setOnClickListener {
            mineViewModel.choosePhoto()
        }
    }
    data class SignCurrent(val context:String)

    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, null)
        }
        dismiss()
    }
}