package com.xx.hbhconsumer.ui.register

import android.os.Bundle
import androidx.lifecycle.Observer
import com.xx.hbhconsumer.BR
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.data.http.requst.body.RegisterRequest
import com.xx.hbhconsumer.databinding.ActivityRegisterBinding
import me.goldze.mvvmhabit.base.BaseActivity

class RegisterActivity() : BaseActivity<ActivityRegisterBinding, RegisterViewModel>() {


    override fun initContentView(savedInstanceState: Bundle?): Int {

        return R.layout.activity_register

    }

    override fun initVariableId(): Int {
        return BR.registerViewModel
    }

    override fun initData() {
        super.initData()
        viewModel.consentAgreementFlag.observe(this,
            Observer<Boolean> { consentAgreementFlag ->
                if (binding.rbLoginAgreement.isSelected) {
                    binding.radioSelectedGroup.clearCheck()
                } else {
                    binding.rbLoginAgreement.setSelected(consentAgreementFlag)
                }
            })

    }

    override fun initViewObservable() {
        super.initViewObservable()
    }

    override fun initViewModel(): RegisterViewModel {
        val lm: RegisterRequest = RegisterRequest()
        return RegisterViewModel(application, lm)
    }

}