package com.xx.hbhconsumer.ui.shop;

import android.app.Application;

import androidx.annotation.NonNull;

import com.xx.hbhconsumer.data.http.requst.PhoneRequest;
import com.xx.hbhconsumer.ui.category.CategoryActivity;

import me.goldze.mvvmhabit.base.BaseViewModel;
import me.goldze.mvvmhabit.binding.command.BindingAction;
import me.goldze.mvvmhabit.binding.command.BindingCommand;

public class ShopGoodsDetailViewModel extends BaseViewModel<PhoneRequest> {
    public ShopGoodsDetailViewModel(@NonNull Application application) {
        super(application);
    }

    public ShopGoodsDetailViewModel(@NonNull Application application, PhoneRequest model) {
        super(application, model);
    }

    public BindingCommand goShopDetail = new BindingCommand(new BindingAction() {
        @Override
        public void call() {

            startActivity(ShopDetailActivity.class);
        }

    });

    public BindingCommand collect = new BindingCommand(new BindingAction() {
        @Override
        public void call() {
            startActivity(ShopDetailActivity.class);
        }

    });
}
