package com.xx.hbhconsumer.ui.useragreement;

import android.os.Bundle;

import com.xx.hbhconsumer.BR;
import com.xx.hbhconsumer.R;
import com.xx.hbhconsumer.data.http.requst.AgreementRequest;
import com.xx.hbhconsumer.databinding.ActivityUserAgreementBinding;
import com.xx.hbhconsumer.utils.RetrofitClient;

import me.goldze.mvvmhabit.base.BaseActivity;

public class UserAgreementActivity extends BaseActivity<ActivityUserAgreementBinding, UserAgreementViewModel> {

    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_user_agreement;
    }

    @Override
    public void initData() {
        super.initData();
        String basicName = getIntent().getStringExtra("basicName");
        binding.bar.tv_title.setText(basicName);
        viewModel.agreementBean.observe(this, agreementBean -> {
            if (agreementBean != null) {
                binding.webview.loadUrl(RetrofitClient.baseH5Url + agreementBean);
            }
        });
    }
    @Override
    public int initVariableId() {
        return BR.userAgreementViewModel;
    }

    @Override
    public void onPointerCaptureChanged(boolean hasCapture) {
        super.onPointerCaptureChanged(hasCapture);
    }

    @Override
    public UserAgreementViewModel initViewModel() {
        AgreementRequest loginRequest = new AgreementRequest();
        String basic = getIntent().getStringExtra("basic");
        return new UserAgreementViewModel(getApplication(), loginRequest, basic);
    }
}
